<div [ngClass]="{'dark-theme' : isDarkThemed$ | async}" class="mat-typography app-frame mat-app-background">
  <mat-sidenav-container>
    <mat-sidenav
      #sidenav
      [fixedInViewport]="true"
      mode="push"
      role="navigation">
      <app-sidenav></app-sidenav>
    </mat-sidenav>
    <mat-sidenav-content>
      <app-toolbar (toggleSidenavRequest)="sidenav.toggle()" [isDarkThemed$]="isDarkThemed$"></app-toolbar>
      <main>
        <router-outlet></router-outlet>
      </main>
    </mat-sidenav-content>
  </mat-sidenav-container>
</div>
